%define nam	bug-buddy
%define ver	0.9
%define rel 2mdk

#%define	name2		bugbddy
#%define	name2     	%nam

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib


Summary:	Utility to ease the reporting of bugs within the GNOME Desktop Environment.
Name:		%{nam}
Version: 	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.bz2
Source1:	bug-buddy_menuentry
Source2:	bug-buddy32.xpm.bz2
Source3:	bug-buddy.xpm.bz2
#Patch:    	%{nam}-mandrake.patch.bz2
URL:		http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

Requires:	libglade
#Requires:	libglad
# Mandrake patches

# Helix patches

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submition process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q -n %{nam}-%{ver}
echo "	*****     Applying Mandrake patches        *****	"
#%patch -p 1
echo "	*****     Applying Helix patches     *****	"

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install
# no binary stripping
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/lib/menu/bug-buddy

install -d  $RPM_BUILD_ROOT%{prefix}/share/icons/mini
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{prefix}/share/icons/bug-buddy.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{prefix}/share/icons/mini/bug-buddy.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
    /sbin/ldconfig
    [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%{prefix}/bin/*
%{prefix}/share/gnome/apps/Utilities/*
%{prefix}/share/pixmaps/*
%{prefix}/share/bug-buddy
%{prefix}/share/locale/*
%{prefix}/share/icons
%{prefix}/share/mime-info/*
%{prefix}/lib/menu/*
%{prefix}/share/gnome/help/bug-buddy

%changelog 
* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9 
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file 

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix % post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)


* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.

